ros-humble-tf2-kdl (0.25.16-1jammy) jammy; urgency=high

  * Change tf2_ros C to C++ headers (backport #807 <https://github.com/ros2/geometry2/issues/807>) (#810 <https://github.com/ros2/geometry2/issues/810>)
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 24 Jul 2025 22:00:00 -0000

ros-humble-tf2-kdl (0.25.15-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 15 Jul 2025 22:00:00 -0000

ros-humble-tf2-kdl (0.25.14-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 May 2025 22:00:00 -0000

ros-humble-tf2-kdl (0.25.13-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 May 2025 22:00:00 -0000

ros-humble-tf2-kdl (0.25.12-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Jan 2025 23:00:00 -0000

ros-humble-tf2-kdl (0.25.11-1jammy) jammy; urgency=high

  * tf2_kdl: add python_orocos_kdl_vendor dependency (#745 <https://github.com/ros2/geometry2/issues/745>) (#748 <https://github.com/ros2/geometry2/issues/748>)
    (cherry picked from commit 894ab122f63123e40a0df8d643cbcde6835ccfde)
    Co-authored-by: Ben Wolsieffer <mailto:benwolsieffer@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 13 Jan 2025 23:00:00 -0000

ros-humble-tf2-kdl (0.25.10-1jammy) jammy; urgency=high

  * Humble "Backport" of #720 <https://github.com/ros2/geometry2/issues/720> (#722 <https://github.com/ros2/geometry2/issues/722>)
  * Contributors: Lucas Wendland

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 18 Dec 2024 23:00:00 -0000

ros-humble-tf2-kdl (0.25.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-humble-tf2-kdl (0.25.8-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Aug 2024 22:00:00 -0000

ros-humble-tf2-kdl (0.25.7-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 22:00:00 -0000

ros-humble-tf2-kdl (0.25.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 23:00:00 -0000

ros-humble-tf2-kdl (0.25.5-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 23:00:00 -0000

ros-humble-tf2-kdl (0.25.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 22:00:00 -0000

ros-humble-tf2-kdl (0.25.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 22:00:00 -0000

ros-humble-tf2-kdl (0.25.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-tf2-kdl (0.25.1-1jammy) jammy; urgency=high

  * Use orocos_kdl_vendor and orocos-kdl target (#548 <https://github.com/ros2/geometry2/issues/548>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 22:00:00 -0000

ros-humble-tf2-kdl (0.25.0-1jammy) jammy; urgency=high

  * Depend on orocos_kdl_vendor  (#473 <https://github.com/ros2/geometry2/issues/473>)
  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-humble-tf2-kdl (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 22:00:00 -0000

ros-humble-tf2-kdl (0.23.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-humble-tf2-kdl (0.22.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-tf2-kdl (0.21.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-tf2-kdl (0.20.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-tf2-kdl (0.19.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Oct 2021 22:00:00 -0000

ros-humble-tf2-kdl (0.18.0-1jammy) jammy; urgency=high

  * KDL python formatting and licenses (#425 <https://github.com/ros2/geometry2/issues/425>)
  * Deprecate tf2_kdl.h (#414 <https://github.com/ros2/geometry2/issues/414>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 May 2021 22:00:00 -0000

ros-humble-tf2-kdl (0.17.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-tf2-kdl (0.17.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-humble-tf2-kdl (0.16.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-tf2-kdl (0.15.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-tf2-kdl (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000

ros-humble-tf2-kdl (0.14.1-1jammy) jammy; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-humble-tf2-kdl (0.14.0-1jammy) jammy; urgency=high

  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Aug 2020 22:00:00 -0000

ros-humble-tf2-kdl (0.13.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-tf2-kdl (0.13.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-humble-tf2-kdl (0.13.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-humble-tf2-kdl (0.13.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-humble-tf2-kdl (0.13.0-1jammy) jammy; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * installed python tf2_kdl and ported tf2_kdl tests (#206 <https://github.com/ros2/geometry2/issues/206>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-humble-tf2-kdl (0.12.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-humble-tf2-kdl (0.12.3-1jammy) jammy; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Contributors: Vasilii Artemev

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-humble-tf2-kdl (0.12.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-humble-tf2-kdl (0.12.1-1jammy) jammy; urgency=high

  * Restore conversion via message traits (#167 <https://github.com/ros2/geometry2/issues/167>)
  * Don't assume quaternions init to all zeros
  * Contributors: Josh Langsfeld, Michael Carroll

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-tf2-kdl (0.12.0-1jammy) jammy; urgency=high

  * Adds additional conversions for tf2, KDL, Eigen
  * Use eigen3_cmake_module (#144 <https://github.com/ros2/geometry2/issues/144>)
  * Contributors: Ian McMahon, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-humble-tf2-kdl (0.11.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 23 May 2019 22:00:00 -0000

ros-humble-tf2-kdl (0.11.2-1jammy) jammy; urgency=high

  * Port tf2_kdl (#90 <https://github.com/ros2/geometry2/issues/90>)
  * Contributors: Víctor Mayoral Vilches

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-humble-tf2-kdl (0.5.15-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 23 Jan 2017 23:00:00 -0000

ros-humble-tf2-kdl (0.5.14-1jammy) jammy; urgency=high

  * Add Python documentation for tf2_kdl
  * Document kdl
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-humble-tf2-kdl (0.5.13-1jammy) jammy; urgency=high

  * converting python test script into unit test
  * Don't export catkin includes
  * Contributors: Jochen Sprickerhof, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Mar 2016 23:00:00 -0000

ros-humble-tf2-kdl (0.5.12-1jammy) jammy; urgency=high

  * Add kdl::Frame to TransformStamped conversion
  * Contributors: Paul Bovbel

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 04 Aug 2015 22:00:00 -0000

ros-humble-tf2-kdl (0.5.11-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 21 Apr 2015 22:00:00 -0000

ros-humble-tf2-kdl (0.5.10-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 20 Apr 2015 22:00:00 -0000

ros-humble-tf2-kdl (0.5.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 24 Mar 2015 23:00:00 -0000

ros-humble-tf2-kdl (0.5.8-1jammy) jammy; urgency=high

  * remove useless Makefile files
  * fix ODR violations
  * Contributors: Vincent Rabaud

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-humble-tf2-kdl (0.5.7-1jammy) jammy; urgency=high

  * fixing install rules and adding backwards compatible include with #warning
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Dec 2014 23:00:00 -0000

ros-humble-tf2-kdl (0.5.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Sep 2014 22:00:00 -0000

ros-humble-tf2-kdl (0.5.5-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 22 Jun 2014 22:00:00 -0000

ros-humble-tf2-kdl (0.5.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 May 2014 22:00:00 -0000

ros-humble-tf2-kdl (0.5.3-1jammy) jammy; urgency=high

  * finding eigen from cmake_modules instead of from catkin
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 20 Feb 2014 23:00:00 -0000

ros-humble-tf2-kdl (0.5.2-1jammy) jammy; urgency=high

  * add cmake_modules dependency for eigen find_package rules
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Feb 2014 23:00:00 -0000

ros-humble-tf2-kdl (0.5.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Feb 2014 23:00:00 -0000

ros-humble-tf2-kdl (0.5.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Feb 2014 23:00:00 -0000

ros-humble-tf2-kdl (0.4.10-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Dec 2013 23:00:00 -0000

ros-humble-tf2-kdl (0.4.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Nov 2013 23:00:00 -0000

ros-humble-tf2-kdl (0.4.8-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Nov 2013 23:00:00 -0000

ros-humble-tf2-kdl (0.4.7-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.4.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.4.5-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 10 Jul 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.4.4-1jammy) jammy; urgency=high

  * making repo use CATKIN_ENABLE_TESTING correctly and switching rostest to be a test_depend with that change.

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 08 Jul 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.4.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.4.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.4.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.4.0-1jammy) jammy; urgency=high

  * moving convert methods back into tf2 because it does not have any ros dependencies beyond ros::Time which is already a dependency of tf2
  * Cleaning up unnecessary dependency on roscpp
  * converting contents of tf2_ros to be properly namespaced in the tf2_ros namespace
  * Cleaning up packaging of tf2 including:
    removing unused nodehandle
    cleaning up a few dependencies and linking
    removing old backup of package.xml
    making diff minimally different from tf version of library
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>
  * passing unit tests

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 26 Jun 2013 22:00:00 -0000

ros-humble-tf2-kdl (0.3.6-1jammy) jammy; urgency=high

  * fix compilation under Oneiric

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 02 Mar 2013 23:00:00 -0000

ros-humble-tf2-kdl (0.3.5-1jammy) jammy; urgency=high

  * 0.3.4 -> 0.3.5

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 13:46:00 -0000

ros-humble-tf2-kdl (0.3.4-1jammy) jammy; urgency=high

  * 0.3.3 -> 0.3.4

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 12:14:00 -0000

ros-humble-tf2-kdl (0.3.3-1jammy) jammy; urgency=high

  * 0.3.2 -> 0.3.3

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 10:30:00 -0000

ros-humble-tf2-kdl (0.3.2-1jammy) jammy; urgency=high

  * 0.3.1 -> 0.3.2
  * fixed missing include export & tf2_ros dependecy

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Feb 2013 23:42:00 -0000

ros-humble-tf2-kdl (0.3.1-1jammy) jammy; urgency=high

  * fixing version number in tf2_kdl
  * catkinized tf2_kdl

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Feb 2013 23:00:00 -0000

ros-humble-tf2-kdl (0.3.0-1jammy) jammy; urgency=high

  * fixing groovy-devel
  * removing bullet and kdl related packages
  * catkinizing geometry-experimental
  * catkinizing tf2_kdl
  * fix for kdl rotaiton constrition
  * add twist, wrench and pose conversion to kdl, fix message to message conversion by adding specific conversion functions
  * merge tf2_cpp and tf2_py into tf2_ros
  * Got transform with types working in python
  * A working first version of transforming and converting between different types
  * Moving from camelCase to undescores to be in line with python style guides
  * kdl unittest passing
  * whitespace test
  * add support for PointStamped geometry_msgs
  * Fixing script
  * set transform for test
  * add advanced api
  * working to transform kdl objects with dummy buffer_core
  * plugin for py kdl
  * add regression tests for geometry_msgs point, vector and pose
  * add frame unit tests to kdl and bullet
  * add first regression tests for kdl and bullet tf
  * add bullet transforms, and create tests for bullet and kdl
  * transform for vector3stamped message
  * move implementation into library
  * add advanced api
  * compiling again with new design
  * renaming classes
  * compiling now
  * almost compiling version of template code
  * add test to start compiling

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 Feb 2013 23:00:00 -0000


